Skip to main content
GET
/
phone
List AI phone agents
curl --request GET \
  --url https://api.open.cx/phone \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "org_id": "<string>",
    "phone_number": "<string>",
    "name": "<string>",
    "language": [
      "<string>"
    ],
    "accent": "<string>",
    "handoff_phone_number": "<string>",
    "speed": 123,
    "interruptible": true,
    "actionIds": [
      "<string>"
    ],
    "instructions": [
      "<string>"
    ],
    "data_collection_fields": [
      "<string>"
    ],
    "data_collection_webhook_url": "<string>",
    "voice_id": "<string>",
    "first_message": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "provider_external_id": "<string>",
    "flow": null,
    "manual_mode": true,
    "custom_llm": "<string>",
    "use_org_knowledgebase": true,
    "recording_enabled": true,
    "stt_keyterms": [
      "<string>"
    ],
    "tts_speed_pct": 0,
    "failover_transfer_destination_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Default Response

id
string
required
org_id
string
required
phone_number
string | null
required
name
string | null
required
type
enum<string>
required
Available options:
inbound,
outbound
language
string[]
required
accent
string | null
required
handoff_phone_number
string | null
required
speed
number | null
required
interruptible
boolean
required
actionIds
string[] | null
required
instructions
string[] | null
required
data_collection_fields
string[] | null
required
data_collection_webhook_url
string | null
required
model
enum<string>
required
Available options:
oppie-vox,
oppie-vox-turbo,
oppie-vox-2,
oppie-vox-livekit
voice_id
string | null
required
first_message
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
provider_external_id
string | null
required
flow
unknown
required
manual_mode
boolean
required
custom_llm
string | null
required
use_org_knowledgebase
boolean
required
background_noise_preset
enum<string> | null
required
Available options:
office,
bar,
city-street
recording_enabled
boolean
required
stt_keyterms
string[]
required
stt_model
enum<string> | null
required
Available options:
deepgram/flux-general,
deepgram/nova-3,
deepgram/nova-3-medical,
cartesia/ink-whisper,
elevenlabs/scribe_v2_realtime,
xai/stt-1
tts_speed_pct
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
failover_transfer_destination_id
string<uuid> | null
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$